0 Replies Latest reply on Dec 12, 2014 6:24 AM by Juanjo Lopez

    [ERROR|SingleFileStore] ISPN000252: Error executing parallel store task

    Juanjo Lopez Newbie

      Hello,

      We are using Infinispan (version 6.0.2.Final) to persist custom metadata objects of our platform, but when we upgrade our platform to new version that doesn't have the same persisting objects implementations (because we add a new type of object, or delete any unnecessary that exists in the last version) occur a problem. In this case Infinispan throw continuously this error:

       

      11-12-2014 12:40:20.562 [ERROR|SingleFileStore] ISPN000252: Error executing parallel store task

      org.infinispan.persistence.spi.PersistenceException: java.lang.ClassNotFoundException: com.stratio.crossdata.common.data.ConnectorStatus

            at org.infinispan.marshall.core.MarshalledEntryImpl.unmarshall(MarshalledEntryImpl.java:116)

            at org.infinispan.marshall.core.MarshalledEntryImpl.getValue(MarshalledEntryImpl.java:61)

            at org.infinispan.interceptors.CacheLoaderInterceptor$2.processEntry(CacheLoaderInterceptor.java:191)

             at org.infinispan.persistence.file.SingleFileStore$1.call(SingleFileStore.java:475)

            at org.infinispan.persistence.file.SingleFileStore$1.call(SingleFileStore.java:469)

             at java.util.concurrent.FutureTask.run(FutureTask.java:262)

             at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:471)

             at java.util.concurrent.FutureTask.run(FutureTask.java:262)

             at java.util.concurrent.ThreadPoolExecutor$CallerRunsPolicy.rejectedExecution(ThreadPoolExecutor.java:2025)

             at java.util.concurrent.ThreadPoolExecutor.reject(ThreadPoolExecutor.java:821)

             at java.util.concurrent.ThreadPoolExecutor.execute(ThreadPoolExecutor.java:1372)

             at org.infinispan.executors.LazyInitializingExecutorService.execute(LazyInitializingExecutorService.java:121)


      The error make sense because that class doesn't exist in this version, but it existed in the previous version.

      Do you know if there is some "fix" or "workaround" to avoid this problem?


      Thank you!